﻿:root {
    --dark-green: #006954;
}

.crufts-media-registration.container h2,
.crufts-media-registration.container a {
    color: #006954;
    font-weight: 700;
}

.crufts-media-registration.fields input, .crufts-media-registration.country-selector, .company-type-selector {
    color: black;
    width: 100%;
    font-size: 12px;
    margin-bottom: 10px;
    border-radius: 3px;
    box-shadow: none;
    text-shadow: none;
    width: 100%;
    height: 50px;
    font-size: 12px;
    margin-bottom: 10px;
    border: 1px solid lightgray;
}

.crufts-media-registration.btn {
  text-transform: uppercase;
  display: inline-block;
  padding: 0px 18px;
  height: 30px;
  font-family: "Masion Neue Bold", Arial Bold, Sans-serif;
  background-color: #a3e953;
  border: 2px solid #a3e953;
  text-decoration: none;
  font-size: 12px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: 2.7;
  text-align: center;
  color: #006954;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 340px;
  padding-bottom: 33px;
  margin-bottom: 20px;
}

.crufts-media-registration.fields,
.crufts-media-registration.checkbox-container {
  width: 400px;
  text-align: left;
  margin: 0 auto;
  padding-left: 0px;
}

.crufts-media-registration.container {
  text-align: center;
}

.crufts-media-registration.country-selector,
.company-selector-container {
  margin-bottom: 5px;
}

.crufts-media-registration.checkbox-container p {
  text-align: left;
  font-size: 16px;
}

.crufts-media-registration.fields label {
  display: inline-block;
  margin-bottom: 0px;
}

.crufts-media-registration.fields label.required::before {
  content: "*";
  color: red;
  margin-right: 5px;
}

.crufts-media-registration.checkbox-container .checkbox {
  top: 0;
  left: 0;
  height: 15px;
  width: 15px;
  background-color: #eee;
  float: left;
  margin-top: 4px;
}

@media only screen and (max-width: 567px) {
    .crufts-media-registration.terms {
        margin-left: 34px;
    }
}

.crufts-media-registration.postcode input {
  width: 40%;
}

.crufts-media-registration.country-selector-container {
  margin-bottom: 0px;
}

/* The container */
.crufts-media-registration.checkbox-container {
  display: block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.crufts-media-registration.checkbox-container label {
  font-size: 16px;
}

.crufts-media-registration.checkbox-container label:not(.label-container) {
  padding-left: 30px;
}

/* Hide the browser's default checkbox */
.crufts-media-registration.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.crufts-media-registration.checkmark {
  position: absolute;
  top: 3px;
  left: 0;
  height: 15px;
  width: 15px;
  background-color: #eee;
  border: 1px solid black;
}

/* On mouse-over, add a grey background color */
.crufts-media-registration.checkbox-container:hover
  input
  ~ .crufts-media-registration.checkmark {
  background-color: white;
}

/* When the checkbox is checked, add a blue background */
.crufts-media-registration.checkbox-container
  input:checked
  ~ .crufts-media-registration.checkmark {
  background-color: #006954;
}

/* Create the checkmark/indicator (hidden when not checked) */
.crufts-media-registration.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.crufts-media-registration.checkbox-container
  input:checked
  ~ .crufts-media-registration.checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .crufts-media-registration.checkmark:after {
  left: 4px;
  top: 1px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

span.crufts-media-registration.checkmark {
  margin-top: 5px;
}

@media only screen and (max-width: 567px) {
  .crufts-media-registration.fields,
  .crufts-media-registration.checkbox-container {
    width: 290px;
    text-align: left;
    margin: 0 auto;
    padding-left: 0px;
  }

  .crufts-media-registration.checkbox-container p {
    width: 260px;
    margin-left: 33px;
  }

  .crufts-media-registration.btn {
    width: 300px;
  }
}

/* Forgotten password page */
    .forgotten-password__form {
        width: 100%;
        max-width: 420px;
        margin: 20px auto;
    }

.crufts-media-login.fields {
}
/* Forgotten password page */
@media only screen and (max-width: 567px) {
  .forgotten-password__inner {
    width: 280px;
    margin: 60px auto;
  }
}

/* log in page */
.crufts-media-login.fields {
  width: 320px;
  text-align: left;
  margin: 0 auto;
  padding-left: 0px;
  margin-top: 30px;
}

link.crufts-media-login.container {
  text-align: center;
}

.crufts-media-login.inner {
  text-align: center;
}

.crufts-media-login.fields input {
  width: 100%;
  color: #000;
}

.crufts-media-login.inner p {
  max-width: 650px;
  margin: 20px auto;
}

.crufts-media-login.btn {
  width: 100%;
}

.psw-link-container {
  text-align: center;
  margin-top: 20px;
}

p.no-account {
  text-align: center;
  margin-top: 40px;
  font-size: 12px;
}

@media only screen and (max-width: 567px) {
  .crufts-media-login.fields {
    width: 280px;
    text-align: left;
    margin: 0 auto;
    padding-left: 0px;
    margin-top: 30px;
  }

  p.no-account {
    text-align: center;
    margin-top: 40px;
    font-size: 12px;
    width: 260px;
    margin: 20px auto;
    margin-top: 30px;
  }
}

.crufts-media-forgotten-password.form {
  width: 320px;
  text-align: left;
  margin: 0 auto;
  padding-left: 0px;
}

form.crufts-media-forgotten-password.form > input,
button.crufts-media-login.btn {
  width: 100%;
}

p.reset-text,
form.crufts-media-forgotten-password.form > label {
  font-size: 13px;
}

@media only screen and (max-width: 567px) {
  .crufts-media-forgotten-password.form {
    width: 260px;
    text-align: left;
    margin: 0 auto;
    padding-left: 0px;
  }
}

/* Image Detail */

.flex-row {
  display: flex;
  flex-wrap: wrap;
}

.flex-col {
  flex: 0 0 auto;
}

.flex-col-1 {
  flex: 1;
}

.flex-col-2 {
  flex: 2;
}

.flex-col-3 {
  flex: 3;
}

.flex-col-4 {
  flex: 4;
}

.flex-col-5 {
  flex: 5;
}

.flex-col-6 {
  flex: 6;
}

.flex-col-7 {
  flex: 7;
}

.flex-col-8 {
  flex: 8;
}

.flex-col-9 {
  flex: 9;
}

.flex-col-10 {
  flex: 10;
}

.flex-col-11 {
  flex: 11;
}

.flex-col-12 {
  flex: 12;
}

.crufts-media-image-detail.container {
  margin-bottom: 50px;
  margin-top: 10px;
}

.flex-col-2 {
  margin: 0px 20px;
}

button.btn {
  margin-top: 20px;
}

.image-detail__back {
  font-size: 12px;
  margin-left: 21px;
  margin-bottom: 20px;
  position: relative;
  letter-spacing: 1px;
}

.fa-rotate-90 {
  font-size: 21px;
  position: relative;
  top: 3px;
  right: 4px;
}

figcaption {
  font-size: 12px;
  margin-top: 10px;
}

h6 {
  margin-bottom: 5px;
}

.img-detail__sections {
  margin-bottom: 40px;
}

.img-detail__sections > a {
  margin-right: 10px;
}

.image-detail__download {
  height: 40px;
  background: #a3e953;
  border-color: #a3e953;
  border-radius: 0;
  font-size: 11px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  letter-spacing: 0.75px;
  text-align: center;
  color: #006954;
  padding: 7px 15px;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
}

.user-menu-bar {
  background: #efeae4;
  margin-top: 11px;
  padding: 15px 0;
}

.user-menu-bar .user-menu-bar__menu {
  margin: 0;
}

.user-menu-bar .user-menu-bar__list-item {
  margin: 0 30px 0 0;
  padding: 0;
}

.user-menu-bar .user-menu-bar__anchor {
  font-size: 14px;
}

.user-menu-bar .user-menu-bar__menu {
  margin: 0;
}

.user-menu-bar .user-menu-bar__list-item {
  margin: 0 30px 0 0;
  padding: 0;
}

.user-menu-bar .user-menu-bar__anchor {
  font-size: 14px;
}

.d-flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.flex-1 {
  -webkit-box-flex: 1;
  -ms-flex: 1 0 auto;
  flex: 1 0 auto;
}

.justify-content-between {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.list-inline li {
  display: inline-block;
  list-style: none;
}

.list-inline li::before {
  display: none;
}

.image-detail__inner {
  margin-top: 40px;
  margin-bottom: 40px;
}

/* Custom Select Box */

.select-dropdown-container {
  position: relative;
}

.select-dropdown-container::before,
.select-dropdown-container::after {
  content: "";
  position: absolute;
}

.select-dropdown-container::before {
  bottom: 11px;
  right: 1px;
  height: 34px;
  width: 36px;
  background: white;
  border-radius: 0 1px 1px 0;
}

.select-dropdown-container::after {
  bottom: 22px;
  right: 14px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 9px 7px 0 7px;
  border-color: #353639 transparent transparent transparent;
  pointer-events: none;
}

.select-dropdown-container .select-dropdown {
  cursor: pointer;
  padding-left: 10px;
}

  @media only screen and (min-device-width : 768px) and (max-device-width : 1024px) {
  .img-detail__sections {
    width: 100%;
  }
}

@media only screen and (max-width: 767px) {
  button.iamge-detail__download {
    width: 100%;
    margin-bottom: 20px;
  }

  .image-detail__back {
    margin-top: 20px;
    font-size: 16px;
    letter-spacing: 1px;
  }

  .img-detail__sections {
    margin-bottom: 40px;
    width: 358px;
    margin: 0 auto;
    margin-top: 20px;
  }

  .image-detail__caption {
    font-size: 16px;
  }
}

@media only screen and (max-width: 568px) {
  .img-detail__sections {
    width: 320px;
  }

  .user-menu-bar .user-menu-bar__anchor {
    font-size: 16px;
    margin-top: 20px;
  }

  .user-menu-bar .user-menu-bar__list-item {
    margin: 0 20px 0 0;
  }

  .image-detail__inner {
    margin-top: 0px;
    margin-bottom: 40px;
  }

  .image-detail__download {
    padding: 7px 35px;
    font-size: 13px;
  }

  .text-right {
    text-align: initial;
  }

  .user-menu-bar {
    padding: 15px 20px;
  }
}

@media only screen and (max-width: 420px) {
  .img-detail__sections {
    width: 290px;
  }

  .image-detail__back {
    margin-top: 20px;
    font-size: 14px;
    letter-spacing: 1px;
    margin-left: 0px;
  }

  .flex-col-2 {
    margin: 0px;
  }

  .user-menu-bar .user-menu-bar__anchor {
    font-size: 12px;
  }
}

.is-loading {
    border: 4px solid var(--dark-green);
    border-top-color: rgba(0, 0, 0, 0);
    border-left-color: rgba(0, 0, 0, 0);
    width: 20px;
    height: 20px;
    opacity: .8;
    border-radius: 50%;
    animation: .7s isLoading infinite linear;
    display: none;
    position: absolute;
    margin-left: 100px;
}

.register-spin {
    display: flex !important; /*override button style*/
}

@keyframes isLoading {
    from {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(360deg)
    }
}

